.footer-main {
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: #fff;
}

.footer-container {
    width: 100%;
    max-width: 1440px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 140px;
    box-sizing: border-box;
}

.payment {
    flex: 1;
}

.payment-img {
    width: auto;
    height: auto;
    max-width: 100%;
}

#mobile-banner {
    display: none;
}

.terms-link {
    color: #1443FF;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    transition: color 0.3s ease;
    margin: 0 20px;
    text-transform: uppercase;
}

.terms-link:hover {
    color: #f1c40f;
}

.social-media {
    display: flex;
    gap: 10px;
}

.social-icon {
    width: 30px;
    transition: opacity 0.3s ease;
}

.social-icon:hover {
    opacity: 0.7;
}

@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
        padding: 30px 20px;
        margin: 0;
        gap: 20px;
    }

    #desktop-banner {
        display: none;
    }

    #mobile-banner {
        display: block;
        width: auto;
        height: auto;
        max-width: 100%;
    }

    .terms-link {
        order: 1;
        margin: 0;
    }

    .payment {
        order: 2;
    }

    .social-media {
        order: 3;
        justify-content: center;
    }
}